[MacBookPro 7,1]mcp89 sata link reset fails, no disks detected

Reported by Anders Østhus on 2010-05-06
678
This bug affects 123 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
High
Unassigned
Declined for Karmic by Pete Graner
Declined for Maverick by Tim Gardner
Lucid
High
Unassigned

Bug Description

SRU Justification:

Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not working correctly.

Fix: Two patches taken from upstream, which have also been marked for stable inclusion will blacklist the MBP from using AHCI and falling back to the ide driver which works. Second half forces DMA on.

Testcase: See report. Disk drive not usable without the patches.

---

Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA drives not being detected, and thus, not being able to install 10.04.

The new MacBook Pro has the MCP89 chipset.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-21-generic 2.6.32-21.32
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2755 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
   Mixer name : 'Nvidia ID c'
   Components : 'HDA:10134206,106b0d00,00100301 HDA:10de000c,10de0101,00100200'
   Controls : 16
   Simple ctrls : 9
Date: Thu May 6 19:41:45 2010
LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Apple Inc. MacBookPro7,1
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:

SourcePackage: linux
dmi.bios.date: 03/25/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP71.88Z.0039.B05.1003251322
dmi.board.name: Mac-F222BEC8
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F222BEC8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP71.88Z.0039.B05.1003251322:bd03/25/10:svnAppleInc.:pnMacBookPro7,1:pvr1.0:rvnAppleInc.:rnMac-F222BEC8:rvr:cvnAppleInc.:ct10:cvrMac-F222BEC8:
dmi.product.name: MacBookPro7,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
---
Architecture: amd64
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
Package: linux (not installed)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
Tags: lucid
Uname: Linux 2.6.34-020634rc7-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Anders Østhus (aosthus) wrote :
Jeremy Foshee (jeremyfoshee) wrote :

Hi Anders,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Anders Østhus (aosthus) on 2010-05-10
tags: added: apport-collected
description: updated
Anders Østhus (aosthus) wrote :

Hi.

Tested this on 2.6.34-rc7 today, and the problem still exists.

tags: removed: needs-upstream-testing
Anders Østhus (aosthus) wrote :
Anders Østhus (aosthus) wrote :
Anders Østhus (aosthus) wrote :
Anders Østhus (aosthus) wrote :
Anders Østhus (aosthus) on 2010-05-11
Changed in linux (Ubuntu):
status: Incomplete → New
Andy Whitcroft (apw) wrote :

Selected fragments of the dmesg from 2.6.34-rc7 logs provided below. Seems that the SATA links are not coming ready soon enough for us, and resetting it is failing:

[ 0.000000] ACPI: SSDT 00000000bf959000 000A5 (v01 SataRe SataPri 00001000 INTL 20061109)
[ 0.000000] ACPI: SSDT 00000000bf958000 0009F (v01 SataRe SataSec 00001000 INTL 20061109)
[ 0.399520] libata version 3.00 loaded.
[ 0.660179] pata_acpi 0000:00:0a.0: power state changed by ACPI to D0
[ 0.660260] pata_acpi 0000:00:0a.0: power state changed by ACPI to D0
[ 0.660594] pata_acpi 0000:00:0a.0: PCI INT A -> Link[LSI0] -> GSI 20 (level, low) -> IRQ 20
[ 0.660625] pata_acpi 0000:00:0a.0: setting latency timer to 64
[ 0.660638] pata_acpi 0000:00:0a.0: PCI INT A disabled
[ 0.912402] Write protecting the kernel read-only data: 10240k
[ 1.024375] ata1: SATA max UDMA/133 abar m8192@0xd3484000 port 0xd3484100 irq 27
[ 1.024377] ata2: SATA max UDMA/133 abar m8192@0xd3484000 port 0xd3484180 irq 27
[ 3.492037] EXT4-fs (sdb1): mounted filesystem with ordered data mode
[ 6.412611] ata2: link is slow to respond, please be patient (ready=0)
[ 6.422584] ata1: link is slow to respond, please be patient (ready=0)
[ 11.030129] ata2: COMRESET failed (errno=-16)
[ 11.042522] ata1: COMRESET failed (errno=-16)
[ 16.412618] ata2: link is slow to respond, please be patient (ready=0)
[ 16.412625] ata1: link is slow to respond, please be patient (ready=0)
[ 21.092619] ata2: COMRESET failed (errno=-16)
[ 21.092684] ata1: COMRESET failed (errno=-16)
[ 26.482618] ata1: link is slow to respond, please be patient (ready=0)
[ 26.482624] ata2: link is slow to respond, please be patient (ready=0)
[ 56.122620] ata1: COMRESET failed (errno=-16)
[ 56.122680] ata1: limiting SATA link speed to 1.5 Gbps
[ 56.122690] ata2: COMRESET failed (errno=-16)
[ 56.122747] ata2: limiting SATA link speed to 1.5 Gbps
[ 61.152617] ata2: COMRESET failed (errno=-16)
[ 61.152672] ata2: reset failed, giving up
[ 61.152735] ata1: COMRESET failed (errno=-16)
[ 61.152793] ata1: reset failed, giving up

Changed in linux (Ubuntu):
status: New → Triaged
Andy Whitcroft (apw) on 2010-05-17
summary: - mcp89 sata not detected
+ [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected

Sorry folks - I have not used this system before and accidentally clicked on "Invalid" ... Sorry ...

Changed in linux (Ubuntu):
status: Triaged → Invalid

Can somebody fix it and return it to "Triaged"?

Changed in linux (Ubuntu):
status: Invalid → New

Even more mess, trying to get it back to "Triaged" ... I should just stay away from the keyboard ...

Changed in linux (Ubuntu):
status: New → Triaged
Andy Whitcroft (apw) wrote :

I have put together a test kernel which has SATA debug enabled, and also has some targetted debug for the specific EBUSY error code reported in the logs. Could those affected by this issue please try these kernels out and report back here:

    http://people.canonical.com/~apw/lp576601-lucid/

Thanks.

Changed in linux (Ubuntu):
importance: Undecided → Medium

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2809 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
   Mixer name : 'Nvidia ID c'
   Components : 'HDA:10134206,106b0d00,00100301 HDA:10de000c,10de0101,00100200'
   Controls : 16
   Simple ctrls : 9
DistroRelease: Ubuntu 10.04
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Apple Inc. MacBookPro7,1
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz --
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.34~lp576601v201005171048-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
RfKill:

Tags: lucid filesystem needs-upstream-testing
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/25/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP71.88Z.0039.B05.1003251322
dmi.board.name: Mac-F222BEC8
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F222BEC8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP71.88Z.0039.B05.1003251322:bd03/25/10:svnAppleInc.:pnMacBookPro7,1:pvr1.0:rvnAppleInc.:rnMac-F222BEC8:rvr:cvnAppleInc.:ct10:cvrMac-F222BEC8:
dmi.product.name: MacBookPro7,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

1 comments hidden view all 143 comments
Anders Østhus (aosthus) wrote :

Just tested this myself, and got the same results as Alan Pope.

Here's a part of my dmesg:

[ 0.811471] ahci_init_one: ENTER
[ 0.811474] ahci 0000:00:0a.0: version 3.0
[ 0.811487] ahci 0000:00:0a.0: PCI INT A -> Link[LSI0] -> GSI 20 (level, low) -> IRQ 20
[ 0.811527] alloc irq_desc for 27 on node -1
[ 0.811529] alloc kstat_irqs on node -1
[ 0.811537] ahci 0000:00:0a.0: irq 27 for MSI/MSI-X
[ 0.811547] ata_host_alloc: ENTER
[ 0.811549] ata_port_alloc: ENTER
[ 0.811558] ata_port_alloc: ENTER
[ 0.811573] ahci_port_init: PORT_SCR_ERR 0x0
[ 0.811575] ahci_port_init: PORT_IRQ_STAT 0x0
[ 0.811578] ahci_port_init: PORT_SCR_ERR 0x4000000
[ 0.811579] ahci_port_init: PORT_IRQ_STAT 0x400000
[ 0.811581] ahci_init_controller: HOST_CTL 0x80000000
[ 0.811584] ahci_init_controller: HOST_CTL 0x80000002
[ 0.811587] ahci 0000:00:0a.0: AHCI 0001.0300 32 slots 2 ports 3 Gbps 0x3 impl IDE mode
[ 0.811590] ahci 0000:00:0a.0: flags: 64bit ncq sntf pm led pio slum part apst
[ 0.811594] ahci 0000:00:0a.0: setting latency timer to 64
[ 0.811646] __ata_port_freeze: ata4294967295 port frozen
[ 0.811699] __ata_port_freeze: ata4294967295 port frozen
[ 0.815195] tg3.c:v3.102 (September 1, 2009)
[ 0.815363] tg3 0000:03:00.0: PCI INT A -> Link[Z00N] -> GSI 21 (level, low) -> IRQ 21
[ 0.815369] tg3 0000:03:00.0: setting latency timer to 64
[ 0.815627] b43-pci-bridge 0000:02:00.0: PCI INT A -> Link[Z00J] -> GSI 22 (level, low) -> IRQ 22
[ 0.815633] b43-pci-bridge 0000:02:00.0: setting latency timer to 64
[ 0.827236] scsi0 : ahci
[ 0.827671] scsi1 : ahci
[ 0.827757] ata1: SATA max UDMA/133 abar m8192@0xd3484000 port 0xd3484100 irq 27
[ 0.827760] ata2: SATA max UDMA/133 abar m8192@0xd3484000 port 0xd3484180 irq 27
[ 0.827795] ata_port_schedule_eh: port EH scheduled
[ 0.827800] ata_port_schedule_eh: port EH scheduled
[ 0.827804] ata_scsi_error: ENTER
[ 0.827806] ata_port_flush_task: ENTER
[ 0.827808] ata2: ata_port_flush_task: EXIT
[ 0.827811] ata_eh_link_autopsy: ENTER
[ 0.827813] ata_eh_recover: ENTER
[ 0.827817] __ata_port_freeze: ata2 port frozen
[ 0.827819] ahci_hardreset: ENTER
[ 0.827822] sata_link_hardreset: ENTER
[ 0.827832] ata_scsi_error: ENTER
[ 0.827834] ata_port_flush_task: ENTER
[ 0.827836] ata1: ata_port_flush_task: EXIT
[ 0.827838] ata_eh_link_autopsy: ENTER
[ 0.827840] ata_eh_recover: ENTER
[ 0.827843] __ata_port_freeze: ata1 port frozen
[ 0.827845] ahci_hardreset: ENTER
[ 0.827847] sata_link_hardreset: ENTER

tixetsal (tixetsal) wrote :

I have the same exact problem on identical hardware.

dent (dent-nic) wrote :

Whoops, I nominated it for Karmic and not Lucid... Well I meant that anyways.

I am really bummed that I can't install Ubuntu on my brand new macbook pro, but we'll wait and see if any geniuses come up with a fix. Anyways.. Keep it up folks!

dustingram (dustin-ingram) wrote :

Here's my dmesg with the patched kernel. I believe it correlates with Alan Pope and Anders Østhus.

Hugo Estopendo (sido616) wrote :

Hi there,
I have a MacBookPro7,1 without ubuntu, too. :(
I'm sorry but I have no idea what the status "Triaged" means...
Could someone explain?
TIA, Hugo

Hugo Estopendo (sido616) wrote :

Shoudn't someone change the importance to high?
I guess that the first three points pertain to our problem.
I'm not able to set it to high.

This is from the ubuntu Wiki:
High: A bug which fulfills one of the following criteria:
* Has a severe impact on a small portion of Ubuntu users (estimated)
* Makes a default Ubuntu installation generally unusable for some users [...]
* A problem with an essential hardware component (disk controller, laptop built-in wireless, video card, keyboard, mouse)
* Has a moderate impact on a large portion of Ubuntu users (estimated)

Dave Walker (davewalker) wrote :

"Changing importance to High as Hugo correctly points out:
1) "severe impact on a small portion of Ubuntu users"
     == The "me too" is getting larger
2) "default Ubuntu installation generally unusable for some user"
     == Everyone with the newest generation MacBookPro can't install Ubuntu
3) Most importantly, it's really annoying me. :)

Changed in linux (Ubuntu):
importance: Medium → High
Willem (willemwouters) wrote :

me too

I love ubuntu / linux just bought a new one....
Im really waiting :(

Frank (fdumont) wrote :

me too

how can I help?

Andy Whitcroft (apw) on 2010-05-24
tags: added: kernel-core kernel-reviewed
Hugo Estopendo (sido616) on 2010-06-18
Changed in linux (Ubuntu):
status: Triaged → In Progress
63 comments hidden view all 143 comments
Fajran Iman Rusadi (fajran) wrote :

Hi all.. I made a really custom kernel package which is working on my MBP 7,1. It is linux 2.6.35-rc3 vanilla patched with 2 patches from Linux' bugzilla. The package can be found here http://arsip.fajran.web.id/ubuntu-mbp71/

Please note that this kernel is highly customized. I didn't include modules that, I believe, are not relevant with MBP7,1. Some drivers are also compiled into the kernel, not as modules. If it is working on your MBP 7,1, don't really hope that the kernel package can also be used on other machines.

I haven't tried all the features but these are what I know

- 3d acceleration works, install nvidia proprietary driver
- sound (speaker and microphone) works too, please read instruction on https://help.ubuntu.com/community/MacBookPro7-1/Lucid
- isight does not work (I guess) because Cheese got crashed
- hdd performance is a lot better than before
- ethernet works
- wireless lan also works, please see a note below

to enable wireless lan, you can't use the broadcom b43 driver included in Ubuntu 10.04 (version 5.60.48.36+bdcom-0ubuntu3). You need to use the newer version (5.60.48.36+bdcom-0ubuntu5) that has been patched to support Linux 2.6.35-rc3 that I use here (see also #590924). Download the new packages from https://launchpad.net/ubuntu/+source/bcmwl it is for Maverick but it also works on Lucid

- https://launchpad.net/ubuntu/+archive/primary/+files/bcmwl-kernel-source_5.60.48.36+bdcom-0ubuntu5_amd64.deb
- https://launchpad.net/ubuntu/+archive/primary/+files/bcmwl-modaliases_5.60.48.36+bdcom-0ubuntu5_amd64.deb

last but not least, please use it at your own risk!

Fajran Iman Rusadi (fajran) wrote :

about hdd performance, here's what I have

$ sudo hdparm -t /dev/sda

/dev/sda:
 Timing buffered disk reads: 238 MB in 3.02 seconds = 78.86 MB/sec

$ sudo dd if=/dev/zero of=test bs=4M count=250
250+0 records in
250+0 records out
1048576000 bytes (1.0 GB) copied, 16.7282 s, 62.7 MB/s

$ sudo dd if=/dev/sda4 of=/dev/null bs=4M count=250
250+0 records in
250+0 records out
1048576000 bytes (1.0 GB) copied, 14.0408 s, 74.7 MB/s

Dave Walker (davewalker) wrote :

Lucid patch submitted to the kernel team:
https://lists.ubuntu.com/archives/kernel-team/2010-July/011460.html

Binaries based on the current lucid tree, with the above patch applied (including DMA support) are available at:
http://macbookpro7-1.daviey.com/linux-image-2.6.32-23-generic_2.6.32-23.38davewalker1_amd64.deb
http://macbookpro7-1.daviey.com/linux-headers-2.6.32-23-generic_2.6.32-23.38davewalker1_amd64.deb

Please note that the binaries come with no QA testing or promise of warranty but purely a developmental resource.

Stefan Bader (smb) wrote :

The changes have been accepted into upstream as of today and should automatically get picked up by Maverick.

Changed in linux (Ubuntu Lucid):
importance: Undecided → High
status: New → In Progress
status: In Progress → Fix Committed
Stefan Bader (smb) on 2010-07-02
description: updated

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

About graphics problems... this is a new chipset and we don't have the data needed to handle it yet. Note this part of kernel log:

[ 63.031163] [drm] nouveau 0000:04:00.0: I don't know how to make a ctxprog for your NVaf card.
[ 63.031166] [drm] nouveau 0000:04:00.0: Disabling acceleration. Please contact the devs.

This issue won't just fix itself. We need mmiotrace of the binary driver using the card. There are instructions for that on nouveau wiki. I guess it's hard to trace stuff without working hdd, but please remember to do this - the sooner we get mmiotraces, the sooner there'll be any support for these cards in nouveau.

Dave Walker (davewalker) wrote :

@Marcin, Can you raise that as a separate bug please?

Feel free to subscribe me, and i'll post the data there.

Thanks.

Dave Walker (davewalker) wrote :

I have tested the updated kernel and can confirm there are no obvious regressions, and it resolves this bug. Can another owner of this hardware confirm this also, so we can get verification and work towards getting the package moved into lucid-updates.

Thanks.

Koen Calliauw (info-layer7) wrote :

@Dave, what kind of test(s) do you need. I assume basically you'd need at least this:

1. Install your ISO
2. Enable "proposed"
3. Check proper bootup and DMA setting
4. Report back

Anything else in particular? dmesg output, lspci, ...?

/K

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

@Koen, Whilst it's not an ideal situation; the only logical way of
testing I can think of, is to install using by unofficial ISO and
continue as you have documented. You don't need to provide any logs,
unless there is a regression.

You are testing that it fixes the issue and there are no regressions,
or other problems that this update has introduced.

Thanks!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkw03yIACgkQmiDwVeMCgbNwigCgtoqiAtXRxMtSryyPIKHZfIf7
UPEAoJc4i+5cGMOKFhgaJlm/zUtdboWl
=IH/8
-----END PGP SIGNATURE-----

spaetz (spaetz) wrote :

I updated to the latest kernel and I can confirm that I get 70MB/s when doing dd if=/dev/sda4 of=/dev/null. With a previous incarnation of that patch I was getting 7MB/s. Things seem speedily enough to not complain. Thanks for getting this in! Count that as a +1 for a patch fixes bug.

Martin Pitt (pitti) on 2010-07-09
tags: added: verification-done
removed: verification-needed

Works for me to.

Eric Garrido (eric-ericgar) wrote :

+1 works for me.

Thanks everyone!

Changed in linux (Ubuntu):
status: In Progress → Triaged
status: Triaged → Fix Released
Moritz Heiber (mheiber) wrote :

Sorry to bother everyone but just for clarification purposes: Is this bug really "fixed" as in the issue has been solved to the fullest extend? I mean, as far as I followed the back and forth it's basically averted/circumvented but not actually tackled in any way.

Yes, people will be able to install Ubuntu on their Macbooks (which is the general direction this bug is aimed toward). However, the controller isn't actually supported nor are we using its SATA capabilities in any way .. or am I wrong? And please feel free to enlighten me incase I'm wrong!

Otherwise I find it just a wee bit strange to mark it as "fixed" prematurely.

Eric Garrido (eric-ericgar) wrote :

The current status is that:

1) There exists an experimental/development ISO that allows installation, albeit using the ata_generic driver. This means accessing disk without AHCI and without DMA.

2) There exist experimental/development kernel packages that are in -proposed (or so says an above comment) that enable DMA. I've been running all weekend with these packages with no issues. The applied patches are being merged upstream "soonish".

3) The AHCI driver is reported to work when using grub-efi, but then the nvidia driver breaks. In non-EFI mode, the nvidia driver works (but obviously AHCI does not work).

4) It's unknown if there will ever be AHCI support with non-EFI, or nvidia support in EFI, as it's not clear what makes these break yet.

The work around is good enough for my own *personal* use for now (YMMV). Is it worth opening new bugs for fixing #4 or is it too much of a pipe dream (especially seeing as how 4b is a binary, proprietary driver)?

Dave Walker (davewalker) wrote :

Thanks for the summary Eric, I would like to add that the current kernel in lucid-proposed - with the patch that uses ata_generic supporting DMA *is* actually merged into the upstream kernel.

That patch is stable, and works - therefore fixing this bug. I would be surprised if an eventual fix in sata_nv and SRU'd to Lucid.

ivanhoe1024 (ivanhoe1024) wrote :

Hi everybody, I'm italian (sorry for my english!!) I just tried opensuse 11.3, and it seems to work well with my MBP7,1. May this be of any help??!

Dave Walker (davewalker) wrote :

@ivanhoe1024, Thanks for the info; it's well under way in Ubuntu.

Download full text (3.7 KiB)

@Dave,

I think he was aiming at the fact someone should investigate the
OpenSUSE way of doing it. If they manage to do it without the
workaround with ata_generic somehow, people could be able to port the
change more easily into Ubuntu.
I make take a look at the code tomorrow if I find the time.

Cheers,
K!

2010/7/15 Dave Walker <email address hidden>:
> @ivanhoe1024, Thanks for the info; it's well under way in Ubuntu.
>
> --
> [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected
> https://bugs.launchpad.net/bugs/576601
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Committed
>
> Bug description:
> SRU Justification:
>
> Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not working correctly.
>
> Fix: Two patches taken from upstream, which have also been marked for stable inclusion will blacklist the MBP from using AHCI and falling back to the ide driver which works. Second half forces DMA on.
>
> Testcase: See report. Disk drive not usable without the patches.
>
> ---
>
> Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA drives not being detected, and thus, not being able to install 10.04.
>
> The new MacBook Pro has the MCP89 chipset.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> NonfreeKernelModules: wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
>    Subdevices: 1/1
>    Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  ubuntu     2755 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
>    Mixer name   : 'Nvidia ID c'
>    Components   : 'HDA:10134206,106b0d00,00100301 HDA:10de000c,10de0101,00100200'
>    Controls      : 16
>    Simple ctrls  : 9
> Date: Thu May  6 19:41:45 2010
> LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Apple Inc. MacBookPro7,1
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.34
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 03/25/10
> dmi.bios.vendor: Apple Inc.
> dmi.bios.version: MBP71.88Z.0039.B05.1003251322
> dmi.board.name: Mac-F222BEC8
> dmi.board.vendor: Apple Inc.
> dmi.chassis.type: 10
> dmi.chassis.vendor: Apple Inc.
> dmi.chassis.version: Mac-F222BEC8
> dmi.modalias: dmi:bvnAppleInc.:bvrMBP71.88Z.0039.B05.1003251322:bd03/25/10:svnAppleInc.:pnMacBookPro7,1:pvr1.0:rvnAppleInc.:rnMac-F222BEC8:rvr:cvnAppleInc...

Read more...

ivanhoe1024 (ivanhoe1024) wrote :

@Koen,
right, this was my aim. I can't do this by myself, I'm not so able, but maybe someone here can do something useful with this. Let us know your opinion!

Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package linux - 2.6.32-24.38

---------------
linux (2.6.32-24.38) lucid-proposed; urgency=low

  [ Keng-Yu Lin ]

  * SAUCE: dell-laptop: fire SMI when toggling hardware killswitch
    (revised)
    - LP: #590607

  [ Upstream Kernel Changes ]

  * sfc: Wait at most 10ms for the MC to finish reading out MAC statistics
    - LP: #590783
  * sfc: Always close net device at the end of a disabling reset
    - LP: #590783
  * sfc: Change falcon_probe_board() to fail for unsupported boards
    - LP: #590783
  * ext4: Fix potential quota deadlock
    - LP: #588069
  * jbd: jbd-debug and jbd2-debug should be writable
    - LP: #588069
  * ext4: replace BUG() with return -EIO in ext4_ext_get_blocks
    - LP: #588069
  * ext4, jbd2: Add barriers for file systems with exernal journals
    - LP: #588069
  * ext4: Eliminate potential double free on error path
    - LP: #588069
  * ext4: return correct wbc.nr_to_write in ext4_da_writepages
    - LP: #588069
  * ext4: Ensure zeroout blocks have no dirty metadata
    - LP: #588069
  * ext4: Patch up how we claim metadata blocks for quota purposes
    - LP: #588069
  * ext4: Fix accounting of reserved metadata blocks
    - LP: #588069
  * ext4: Calculate metadata requirements more accurately
    - LP: #588069
  * ext4: Handle -EDQUOT error on write
    - LP: #588069
  * ext4: Fix quota accounting error with fallocate
    - LP: #588069
  * ext4: Drop EXT4_GET_BLOCKS_UPDATE_RESERVE_SPACE flag
    - LP: #588069
  * ext4: Use bitops to read/modify EXT4_I(inode)->i_state
    - LP: #588069
  * ext4: Fix BUG_ON at fs/buffer.c:652 in no journal mode
    - LP: #588069
  * ext4: Add flag to files with blocks intentionally past EOF
    - LP: #588069
  * ext4: Fix fencepost error in chosing choosing group vs file
    preallocation.
    - LP: #588069
  * ext4: fix error handling in migrate
    - LP: #588069
  * ext4: explicitly remove inode from orphan list after failed direct io
    - LP: #588069
  * ext4: Handle non empty on-disk orphan link
    - LP: #588069
  * ext4: make "offset" consistent in ext4_check_dir_entry()
    - LP: #588069
  * ext4: Fix insertion point of extent in mext_insert_across_blocks()
    - LP: #588069
  * ext4: Fix the NULL reference in double_down_write_data_sem()
    - LP: #588069
  * ext4: Code cleanup for EXT4_IOC_MOVE_EXT ioctl
    - LP: #588069
  * ext4: Fix estimate of # of blocks needed to write indirect-mapped files
    - LP: #588069
  * ext4: Fixed inode allocator to correctly track a flex_bg's used_dirs
    - LP: #588069
  * ext4: Fix possible lost inode write in no journal mode
    - LP: #588069
  * ext4: Fix buffer head leaks after calls to ext4_get_inode_loc()
    - LP: #588069
  * ext4: Issue the discard operation *before* releasing the blocks to be
    reused
    - LP: #588069
  * ext4: check missed return value in ext4_sync_file()
    - LP: #588069
  * ext4: fix memory leaks in error path handling of ext4_ext_zeroout()
    - LP: #588069
  * ext4: Remove unnecessary call to ext4_get_group_desc() in mballoc
    - LP: #588069
  * ext4: rename ext4_mb_release_desc() to ext4_mb_unload_buddy()
    - LP: #588069
  * ext4: allow defrag (EXT4_IOC_MOVE_EXT) in 32b...

Read more...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
ivanhoe1024 (ivanhoe1024) wrote :

Well, so let me understand: if I download the daily build of kubuntu 10.04.1 today 24/07 I'll have a working system, won't I? Moreover, I read in the previous post that the dma mode is "forced": may this be dangerous, or it's safe?? Thank's everyone!

Download full text (3.9 KiB)

I got it to boot the "Live CD", never got that far with any version of Fedora. I went through the whole install on my MBP 7,1 but I couldn't get it to boot after the install. I am not that big a Ubuntu fan so I just removed it without any further troubleshooting.

On Jul 24, 2010, at 8:49 AM, ivanhoe1024 wrote:

> Well, so let me understand: if I download the daily build of kubuntu
> 10.04.1 today 24/07 I'll have a working system, won't I? Moreover, I
> read in the previous post that the dma mode is "forced": may this be
> dangerous, or it's safe?? Thank's everyone!
>
> --
> [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected
> https://bugs.launchpad.net/bugs/576601
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Released
>
> Bug description:
> SRU Justification:
>
> Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not working correctly.
>
> Fix: Two patches taken from upstream, which have also been marked for stable inclusion will blacklist the MBP from using AHCI and falling back to the ide driver which works. Second half forces DMA on.
>
> Testcase: See report. Disk drive not usable without the patches.
>
> ---
>
> Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA drives not being detected, and thus, not being able to install 10.04.
>
> The new MacBook Pro has the MCP89 chipset.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> NonfreeKernelModules: wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2755 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
> Mixer name : 'Nvidia ID c'
> Components : 'HDA:10134206,106b0d00,00100301 HDA:10de000c,10de0101,00100200'
> Controls : 16
> Simple ctrls : 9
> Date: Thu May 6 19:41:45 2010
> LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Apple Inc. MacBookPro7,1
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.34
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 03/25/10
> dmi.bios.vendor: Apple Inc.
> dmi.bios.version: MBP71.88Z.0039.B05.1003251322
> dmi.board.name: Mac-F222BEC8
> dmi.board.vendor: Apple Inc.
> dmi.chassis.type: 10
> dmi.chassis.vendor: Apple Inc.
> dmi.chassis.version: Mac-F222B...

Read more...

goap (schmidt) wrote :

Today I downloaded a daily build of Ubuntu 10.10 64-bit (http://cdimage.ubuntu.com/daily-live/20100726/), burned an ISO with my macbook 7, and installed it. So this message is written on a macbook pro 7.1 running ubuntu 10.10 :-)

luhesan (luhesan-live) wrote :

I confirm that Ubuntu 10.10 daily build works on my MacBook 7, just no sound but i'm working to fix that =)

ivanhoe1024 (ivanhoe1024) wrote :

I succeded to boot and install ubuntu 10.04 LTS daily build too. So it works, eventually!!!! Thanks everyone helped doing this...

kreyszig (pldrouin) wrote :

Where can I find daily builds of 10.04? I can only find builds of 10.10... (sorry for my possible lack of knowledge of the Ubuntu release cycle)

kreyszig (pldrouin) wrote :
Payall (gzeunaia) wrote :

How can i get the wifi working?
Thanks.

Jan (jan-enrico) wrote :

Hello,

I bought recently the Mac Mini 4.1 (2010 model). It has the same mcp89 SATA controller as MacBookPro 7.1 so I was hoping that solution from this thread will work for me too. I burned latest image from http://cdimage.ubuntu.com/lucid/daily-live but I failed to boot Ubuntu from the live-cd. After about one minute of DVD drive activity my screen just stays black.

Did I miss something ? Do I need to specify some boot-time parameters by hand ?

Thanks,
Jan

Download full text (4.0 KiB)

Yes, use the 'nomodeset' or something. You can select it after the language
selection in the CD boot screen.

Cheers,
K!

2010/8/3 Jan <email address hidden>

> Hello,
>
> I bought recently the Mac Mini 4.1 (2010 model). It has the same mcp89
> SATA controller as MacBookPro 7.1 so I was hoping that solution from
> this thread will work for me too. I burned latest image from
> http://cdimage.ubuntu.com/lucid/daily-live but I failed to boot Ubuntu
> from the live-cd. After about one minute of DVD drive activity my screen
> just stays black.
>
> Did I miss something ? Do I need to specify some boot-time parameters by
> hand ?
>
> Thanks,
> Jan
>
> --
> [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected
> https://bugs.launchpad.net/bugs/576601
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Released
>
> Bug description:
> SRU Justification:
>
> Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not
> working correctly.
>
> Fix: Two patches taken from upstream, which have also been marked for
> stable inclusion will blacklist the MBP from using AHCI and falling back to
> the ide driver which works. Second half forces DMA on.
>
> Testcase: See report. Disk drive not usable without the patches.
>
> ---
>
> Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA
> drives not being detected, and thus, not being able to install 10.04.
>
> The new MacBook Pro has the MCP89 chipset.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> NonfreeKernelModules: wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2755 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
> Mixer name : 'Nvidia ID c'
> Components : 'HDA:10134206,106b0d00,00100301
> HDA:10de000c,10de0101,00100200'
> Controls : 16
> Simple ctrls : 9
> Date: Thu May 6 19:41:45 2010
> LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Apple Inc. MacBookPro7,1
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed
> boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.34
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 03/25/10
> dmi.bios.vendor: Apple Inc.
> dmi.bios.version: MBP71.88Z.0039.B05.1003251322
> dmi.board.name: Mac-F222BEC8
> dmi.board.vendor: Apple Inc.
> dmi.ch...

Read more...

Jan (jan-enrico) wrote :

Thanks for your reply. Indeed, selecting "nomodeset" option makes Ubuntu to boot properly on Mac Mini. 4.1 - very good :)

My goal is to install only Ubuntu with no OS X. Can I just proceed with installing ? I found a note about rEFIt but I am not sure wether in my case (Ubuntu only single boot) rEFIt is necessary or not.

Thanks,
Jan

Koen Calliauw (info-layer7) wrote :
Download full text (4.0 KiB)

Hey Jan,

I couldn't get it to boot without MacOSX installed. I just resized my MacOSX
partition to something like 15GB in size and left rEFIt for what it was. It
works well enough like this although I'd love to see more EFI support soon.

Cheers,
K!

2010/8/4 Jan <email address hidden>

> Thanks for your reply. Indeed, selecting "nomodeset" option makes Ubuntu
> to boot properly on Mac Mini. 4.1 - very good :)
>
> My goal is to install only Ubuntu with no OS X. Can I just proceed with
> installing ? I found a note about rEFIt but I am not sure wether in my
> case (Ubuntu only single boot) rEFIt is necessary or not.
>
> Thanks,
> Jan
>
> --
> [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected
> https://bugs.launchpad.net/bugs/576601
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Released
>
> Bug description:
> SRU Justification:
>
> Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not
> working correctly.
>
> Fix: Two patches taken from upstream, which have also been marked for
> stable inclusion will blacklist the MBP from using AHCI and falling back to
> the ide driver which works. Second half forces DMA on.
>
> Testcase: See report. Disk drive not usable without the patches.
>
> ---
>
> Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA
> drives not being detected, and thus, not being able to install 10.04.
>
> The new MacBook Pro has the MCP89 chipset.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> NonfreeKernelModules: wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2755 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
> Mixer name : 'Nvidia ID c'
> Components : 'HDA:10134206,106b0d00,00100301
> HDA:10de000c,10de0101,00100200'
> Controls : 16
> Simple ctrls : 9
> Date: Thu May 6 19:41:45 2010
> LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Apple Inc. MacBookPro7,1
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed
> boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.34
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 03/25/10
> dmi.bios.vendor: Apple Inc.
> dmi.bios.version: MBP71.88Z.0039.B05.1003251322
> dmi.board.name: Mac-F222BEC8
> dmi.board.vendor: Apple Inc.
> dmi.chassis.t...

Read more...

Jan (jan-enrico) wrote :

Hey Koen,

I found this web page, which describes among other scenarios also Ubuntu single boot scenario. The only important thing before actual installation is to convert your HDD partition table scheme from original CPT to legacy MBR (EFI understands both).

https://help.ubuntu.com/community/MactelSupportTeam/AppleIntelInstallation

I'll give it a try. If it fails I'll try dual-boot with MacOSX.

Best Regards,
Jan

Download full text (4.2 KiB)

I should keep the dual boot anyway. If you delete osx you will never be able
to update the firmware anymore.
As per rumours 10.10 will have a sort of EFI support. I shoudl wait that
before making a Ubuntu solo.

Andrea

2010/8/5 Jan <email address hidden>

> Hey Koen,
>
> I found this web page, which describes among other scenarios also Ubuntu
> single boot scenario. The only important thing before actual
> installation is to convert your HDD partition table scheme from original
> CPT to legacy MBR (EFI understands both).
>
> https://help.ubuntu.com/community/MactelSupportTeam/AppleIntelInstallation
>
> I'll give it a try. If it fails I'll try dual-boot with MacOSX.
>
> Best Regards,
> Jan
>
> --
> [MacBookPro 7,1]mcp89 sata link reset fails, no disks detected
> https://bugs.launchpad.net/bugs/576601
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Released
>
> Bug description:
> SRU Justification:
>
> Impact: SATA drives on the MBP 7.1 are not usable as the ahci mode is not
> working correctly.
>
> Fix: Two patches taken from upstream, which have also been marked for
> stable inclusion will blacklist the MBP from using AHCI and falling back to
> the ide driver which works. Second half forces DMA on.
>
> Testcase: See report. Disk drive not usable without the patches.
>
> ---
>
> Booting 10.04 livecd on one of the new MacBook Pro(7,1) results in SATA
> drives not being detected, and thus, not being able to install 10.04.
>
> The new MacBook Pro has the MCP89 chipset.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> NonfreeKernelModules: wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2755 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 22'
> Mixer name : 'Nvidia ID c'
> Components : 'HDA:10134206,106b0d00,00100301
> HDA:10de000c,10de0101,00100200'
> Controls : 16
> Simple ctrls : 9
> Date: Thu May 6 19:41:45 2010
> LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Apple Inc. MacBookPro7,1
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed
> boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.34
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 03/25/10
> dmi.bios.vendor: Apple Inc.
> dmi.bios.version: MBP71.88Z.0039.B05.1003251322
> dmi.board.name: Ma...

Read more...

Mikkel Madsen (m-dsen) on 2010-08-09
Changed in linux (Ubuntu Lucid):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

Please do not change bug status without explanation.

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Jan (jan-enrico) wrote :

Hello,

I managed to install single boot Ubuntu on Mac Mini 4.1 according to this how-to https://help.ubuntu.com/community/MactelSupportTeam/AppleIntelInstallation. After selecting the "nomodeset" option when booting the Ubuntu Live-CD I installed Ubuntu on hard disk. Trying to boot the installed Ubuntu from the hard disk failed (ending up with a black screen soon after booting). I tried to bring up Grub menu when booting from the hard disk and set the "nomodeset" option with no success. I therefore booted from CD again and mounted the partition with Ubuntu on it. Then I made the "nomodeset" option permanent in the file /boot/grub/grub.cfg. After this I could boot Ubuntu from my hard disk.

I enjoy now Ubuntu signle boot on Mac Mini. 4.1 but nevertheless I'll go for the dual-boot option and stick with it until 10.10 with rumored EFI support will come up.

Thanks,
Jan

Steve Stalcup (vorian) wrote :

I hate to be the one to do this, but every method of installing/booting the daily build fails

I get a busybox error message / and failure to find/mount filesystem. This bug still exists.

Changed in linux (Ubuntu Lucid):
status: Fix Released → Confirmed
Changed in linux (Ubuntu Lucid):
status: Confirmed → New
status: New → Incomplete
status: Incomplete → Confirmed
Benoit Gschwind (gschwind) wrote :

@ivanhoe1024 (reply to #126)

The patch don't exactly "force" DMA but just ignore what the hardware claim. The hardware say "I do not support DMA", the driver ignore it. imo, it's fairly safe, under Window and MacOSX the driver have DMA enable.

Best regards.

Changed in linux:
status: Unknown → Fix Released
Changed in linux:
importance: Unknown → Medium
Displaying first 40 and last 40 comments. View all 143 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.